import { TranslateService } from '@ngx-translate/core';
import { Observable } from 'rxjs';
export interface CountryOption {
    code: string;
    name?: string;
}
export declare enum CountryName {
    FRANCE = "FRANCE",
    UNITED_KINGDOM = "UNITED_KINGDOM",
    GERMANY = "GERMANY",
    SPAIN = "SPAIN",
    ITALY = "ITALY",
    DENMARK = "DENMARK",
    BELGIUM = "BELGIUM",
    PORTUGAL = "PORTUGAL"
}
export declare enum CountryCode {
    FR = "FR",
    GB = "GB",
    DE = "DE",
    ES = "ES",
    IT = "IT",
    DK = "DK",
    BE = "BE",
    PT = "PT"
}
export declare class CountryService {
    private translateService;
    private availableCountries;
    constructor(translateService: TranslateService);
    getTranslatedCountryNameByCode(countryCode: CountryCode): string;
    getAvailableCountries(): Observable<CountryOption[]>;
}
