import { TranslateService } from '@ngx-translate/core';
import { Observable } from 'rxjs';
import { Option } from './components/vitamui-autocomplete';
export declare enum MinLangString {
    FR = "fr",
    EN = "en",
    DE = "de"
}
export declare enum FullLangString {
    FRENCH = "FRENCH",
    ENGLISH = "ENGLISH",
    GERMAN = "GERMAN"
}
export interface VitamUILangague {
    fullLangString: FullLangString;
    minLangString: MinLangString;
}
export declare class LanguageService {
    private translateService;
    private availableLanguages;
    constructor(translateService: TranslateService);
    getFullLangString(minLang: MinLangString): FullLangString;
    getShortLangString(fullLang: FullLangString): MinLangString;
    getAvailableLanguagesOptions(): Observable<Option[]>;
    getAvaiableLanguages(): VitamUILangague[];
}
